package batch_msg

import (
	"context"

    "wechat-api/ent/batchmsg"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteBatchMsgLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteBatchMsgLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteBatchMsgLogic {
	return &DeleteBatchMsgLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteBatchMsgLogic) DeleteBatchMsg(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.BatchMsg.Delete().Where(batchmsg.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
